Qt 5.6 | Qt NFC | C++ Classes | RequestId

Qt 5.6.2 Reference Documentation

# RequestId Class

(QNearFieldTarget::RequestId)

- List of all members, including inherited members

## Public Functions

| RequestId()
| RequestId(const RequestId &other)
| ~RequestId()
bool | isValid() const
int | refCount() const
RequestId & | operator=(const RequestId &other)

## Member Function Documentation

### RequestId::RequestId()

Constructs a new invalid request id handle.

### RequestId::RequestId(const RequestId &other)

Constructs a new request id handle that is a copy of other.

### RequestId::~RequestId()

Destroys the request id handle.

### bool RequestId::isValid() const

Returns true if this is a valid request id; otherwise returns false.

### int RequestId::refCount() const

Returns the current reference count of the request id.

### RequestId &RequestId::operator=(const RequestId &other)

Assigns a copy of other to this request id and returns a reference to this request id.